// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997 - 2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	xmm_c.cc --- implementation of C I/F layer to XMM class
//
//	DESCRIPTION:
//		See STime.h
//
//	CHANGE HISTORY:
//		UL, 2001-05-10: 1.0.0: - first version
//		UL, 2002-07-18: 1.1.0: - gcc-3.1 fixes
//
//	AUTHOR:
//		U. Lammers,	Thu May 10 14:10:42 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/src/xmm_c.cc,v 1.4 2004/08/04 12:18:14 rsaxton Exp $
//

#include "xmm.h"
#include "Xmm.h"
#include "Handle.h"

#define CSTC(ptr)   ((const STime *)ptr)

typedef Handle<STime>	STimeHandleF90;

extern "C" {

#define XMMFIXTIME(upp, low)											\
STimeHandle CAT(XMM_mission, upp)()										\
{																		\
	return STimeHandle(&CAT(Xmm::mission, upp));						\
}																		\
																		\
STimeHandleF90 CXXFUNC(CAT(xmm_mission, low), CAT(XMM_mision, upp))()	\
{																		\
	return STimeHandleF90(CSTC(XMM_mission##upp()));					\
}

XMMFIXTIME(ReferenceTime, referencetime)
XMMFIXTIME(StartTime, starttime)
XMMFIXTIME(EndTime, endtime)

}
