! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
!
!   odfdesignator.f90 --- test odfdesignator stuff
!
!   DESCRIPTION:
!       Intended to the correctness of F90 I/F to class OdfDesignator
!
!   CHANGE HISTORY:
!       UL, 2002-01-08: 1.0.0: - first version
!
!   AUTHOR:
!       U. Lammers, Tue Jan  8 17:55:38 MET 2002
!
!   $Header: /sasbuild/repositories/sasdev/sas/packages/caloalutils/test/odfdesignator.f90,v 1.2 2004/08/04 12:18:14 rsaxton Exp $
!  
program odfdesignator
use caloaldefs
use odfdesignators
use errorhandling

    implicit none

    type(InstrumentExposureIdentifierT)     :: id
    id = instrumentExposureIdentifier('R1U571')
    if (instrument(id) /= RGS1) &
        call error('odfdesignator', 'wrong instrument')
    if (.not. scheduleFlagApplicable(id)) &
        call error('odfdesignator', 'schedule flag not applicable')
    if (scheduled(id)) &
        call error('odfdesignator', 'scheduled')
    if (.not. unscheduled(id)) &
        call error('odfdesignator', 'scheduled')
    if (exposureNumber(id) /= 571) &
        call error('odfdesignator', 'wrong exposure number')
    if (exposureId(id) /= 'U571') &
        call error('odfdesignator', 'wrong exposure id')
    if (instrumentExposureId(id) /= 'R1U571') &
        call error('odfdesignator', 'wrong instr/exposure id')

    write(*, *) 'All tests sucessfully passed'
end program




