// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <iostream>
#include <vector>

#include "../src/Image.h"

int main()
{
	unsigned X = 5,
			 Y = 7;
	DImage di;
	di = DImage(X, Y);

	for (unsigned i=0; i<X; ++i)
		for (unsigned j=0; j<Y; ++j)
			di[i][j] = i*Y+j;

	double sum = 0;
	for (unsigned i=0; i<X; ++i) {
		for (unsigned j=0; j<Y; ++j) {
			std::cout<<di[i][j]<<' ';
			sum += di[i][j];
		}
		std::cout<<std::endl;
	}
	assert(sum == X*Y*(X*Y-1)/2);

	std::vector<DImage> vi;
	for (unsigned n=0; n<3; ++n) {
	std::cout<<"n="<<n<<std::endl;
		vi.push_back(DImage(X, Y));
	}
	std::cout<<"Size: "<<vi.size()<<std::endl;
	assert(vi.size() == 3);

	return 0;
}
