// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "../src/Xmm.h"
#include <cassert>

int main()
{
	std::cout<<Xmm::missionReferenceTime<<std::endl;
	EMOScam1 emos;
	assert(XmmPayLoad::instrument(emos.RGSinChain()).id() == Xmm::RGS1);
	RGScam2 rgs;
	assert(XmmPayLoad::instrument(rgs.RGSinChain()).id() == Xmm::RGS2);

	for (unsigned dataModeId = 0; dataModeId<Xmm::N_DATA_MODES; ++dataModeId)
		std::cout<<dataModeId<<" : "
				 <<Xmm::toString(Xmm::DataMode(dataModeId))<<std::endl;

	return 0;
}
